package com.zswc.creativity.adapter

import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder
import com.ysnows.base.base.BAdapter
import com.zswc.creativity.R
import com.zswc.creativity.databinding.ItemOrderListBinding
import com.zswc.creativity.databinding.ItemSaleListBinding
import com.zswc.creativity.model.MyOrderInfo
import com.zswc.creativity.vmodel.SaleListFragmentVModel

class SaleListFragmentAdapter(val vm: SaleListFragmentVModel) : BAdapter<MyOrderInfo, BaseDataBindingHolder<ItemSaleListBinding>>(R.layout.item_sale_list) {
    override fun convert(holder: BaseDataBindingHolder<ItemSaleListBinding>, item:MyOrderInfo) {
        holder.dataBinding?.vm=vm
        holder.dataBinding?.item = item
    }
}
