package com.zswc.creativity.adapter

import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder
import com.ysnows.base.base.BAdapter
import com.zswc.creativity.R
import com.zswc.creativity.databinding.ItemOrderListBinding
import com.zswc.creativity.databinding.ItemSaleGoodBinding
import com.zswc.creativity.databinding.ItemSaleListBinding
import com.zswc.creativity.model.MyOrderInfo
import com.zswc.creativity.vmodel.SaleListFragmentVModel
import com.zswc.creativity.vmodel.ShopListFragmentVModel

class ShopListFragmentAdapter(val vm: ShopListFragmentVModel) : BAdapter<MyOrderInfo, BaseDataBindingHolder<ItemSaleGoodBinding>>(R.layout.item_sale_good) {
    override fun convert(holder: BaseDataBindingHolder<ItemSaleGoodBinding>, item:MyOrderInfo) {
        holder.dataBinding?.vm=vm
        holder.dataBinding?.item = item
    }
}
