package com.zswc.creativity.model

import com.ysnows.base.inter.IModel
import java.io.Serializable

/**
 *Created by shihuiyun
 *on 2020/9/24
 */
data class WaybillDetails(var order: OrderBean, var info: DataInfoBean.OrderBean,
                          var company: CompanyBean,
                          var driver: DriverBean?,
                          var eva: EvaBean,
                          var is_baoxian:Int,
                          var baoxian_money:String
) : IModel ,Serializable{


    data class OrderBean(var order_id: String, var order_sn: String, var order_state: Int, var uid: String,
                         var info_id: String, var info_uid: String, var money: String, var t_img: List<String>, var t_nums: String,
                         var nat_numsme: String, var zf_time: String, var pj_time: String, var create_time: String,
                         var sd_time: String
    ) : IModel ,Serializable{

    }

    data class DriverBean(var uid: String, var name: String, var avatar: String,
                          var car_cate: String, var car_long: String, var car_id: String,
                          var mobile: String, var number: String, var is_collect: Int) : IModel ,Serializable{}


    data class EvaBean(var my_eva: MyEvaBean, var other_eva: OtherEvaBean) : IModel,Serializable {

        data class MyEvaBean(var score: Int, var content: String) : IModel ,Serializable{}
        data class OtherEvaBean(var score: Int, var content: String) : IModel ,Serializable{}

    }

    data class CompanyBean(var company_name: String, var info_nums: String, var name: String,
                           var mobile: String, var good: String, var hpl: String, var avatar: String
    ) : IModel,Serializable {

    }
}
