package com.zswc.creativity.model

import com.ysnows.base.inter.IModel

/**
 *Created by shihuiyun
 *on 2020/9/17
 *
 * status:0 审核中 1已审核
 */
class InfoBean(var info_id: String, var uid: String,
               var idcard_z: String, var idcard_f: String,
               var name: String, var idcard: String,
               var status: String,
               var create_time: String, var update_time: String,
               var delete_time: String, var license_img: String,
               var license_sn: String, var company_name: String,
               var company_addr: String,
               var bank: String, var kbank: String, var number: String,
               var type:List<SelectData>,
               var car_types: List<CarTypeBeanS>,
               var goods_type:List<SelectData>,
               var driver_img: String, var driving_z: String, var driving_f: String,
               var tonnage: Int, var license_dl: String, var license_cy: String,
               var car_type: CarTypeBean, var car_load: String,
               var car_brand: String, var driving_sn: String, var car_weight: String,
               var car_size_l: String, var car_size_h: String, var car_size_w: String,
               var car_own: String,
               var car_use: String, var car_sn: String, var organization: String,
               var reg_date: String, var cert_date: String, var driver_org: String,
               var car_class:String,
               var start_date: String, var end_date: String,
               var reason: String, var color: ColorBean, var car_cate: CarCateBean,
               var car_energy: carEnergyBean,
               var car_type_z:List<SelectData>,
               var color_z:List<SelectData>,var car_cate_z:List<SelectData>,
               var car_energy_z:List<SelectData>,var tips:String
) : IModel {


    data class CarTypeBeanS(var type_id:String,var type_name:String,var type_img:String,var type_icon:String,
                            var length:String,var width:String,var height:String,
                            var weight:String,var volume:String,var sort:String):IModel{

    }


    data class CarTypeBean(var code: String, var name: String): IModel{

    }

    data class ColorBean(var code: String, var name: String) : IModel {

    }

    data class CarCateBean(var code: String, var name: String) : IModel {

    }

    data class carEnergyBean(var code: String, var name: String) : IModel {

    }
}

