package com.zswc.creativity.model

import com.ysnows.base.inter.IModel

/**
 * 货主端+司机端
 *Created by shihuiyun
 *on 2020/9/14
 *货主端： 订单状态 info_state：10->待支付  20->待接单  30->进行中 40-> 已完成  100->已取消
 *司机端： 订单状态 order_state：0->全部 10->待取货 20->运输中 30->待结算 40->待评价 50->已完成
 */
data class InfoListBean(var info_id: String, var info_state: Int,
                        var info_sn: String, var is_pay: String,
                        var uid: String, var price: String,
                        var total: String,
                        var nums: String,  var car_nums: String,var is_public: String,
                        var is_insurance: String, var type: String,
                        var data: String, var pay_time: String,
                        var create_time: String, var update_time: String,
                        var delete_time: String, var qrcode:String,
                        var send: List<SendBean>,
                        var receive: List<ReceiveBean>,var type_info:TypeInfoBean,
                        var company_name:String, var avatar:String,var order_state:Int,var order_id:String
) : IModel {

    data class TypeInfoBean(var type_id: String,var type_name: String,  var length: String,

    ): IModel{
    }

    data class ReceiveBean(var data_id: String, var info_id: String, var lat: String,
                           var lng: String, var address: String, var name: String, var mobile: String, var goods: String,
                           var goods_type: GoodsTypeBean, var nums: String, var nums_type: NumsTypeBean, var price: String, var total: String,
                           var time: String, var type: String, var create_time: String, var update_time: String, var delete_time: String,
                           var province: ProvinceBean, var city: CityBean, var area: AreaBean
    ) : IModel {
        data class ProvinceBean(var name: String, var code: String) : IModel {

        }

        data class CityBean(var name: String, var code: String) : IModel {

        }

        data class AreaBean(var name: String, var code: String) : IModel {

        }

        data class GoodsTypeBean(var name: String, var code: String) : IModel {

        }

        data class NumsTypeBean(var name: String, var code: String) : IModel {

        }


    }

    data class SendBean(var data_id: String, var info_id: String, var lat: String,
                        var lng: String, var address: String, var name: String, var mobile: String,
                        var time: String, var type: String,
                        var province: ProvinceBean, var city: CityBean, var area: AreaBean
    ) : IModel {

        data class ProvinceBean(var name: String, var code: String) : IModel {

        }

        data class CityBean(var name: String, var code: String) : IModel {

        }

        data class AreaBean(var name: String, var code: String) : IModel {

        }

    }


}
