package com.zswc.creativity.model

import com.ysnows.base.inter.IModel

/**
 *Created by shihuiyun
 *on 2020/10/23
 */
data class OrderGet(var channelOrderId:String,var  orderOwner:String,
                    var productCode:String,var  amount:String,
                    var payMoney:String,var  schemeCode:String,
                    var facllbackUrl:String,var  deductible:String,
                    var startPlace:StartPlaceBean,var finishPlace:StartPlaceBean,
                    var transferPlace:List<TransferPlaceBean>,
                    var vehicleInfoList:List<VehicleInfoListBean>,
                    var goodsInfoList:List<GoodsInfoListBean>,
                    var insurantInfoList:List<InsurantInfoListBean>,
                    var applicantInfo:ApplicantInfoBean,
                    var coverInfo:CoverInfoBean,


                    ):IModel{

    data class StartPlaceBean(var areaName:String,var  areaCode:String,
                              var detailedAddress:String):IModel{

    }

    data class TransferPlaceBean(var areaName:String,var  areaCode:String,
                                 var detailedAddress:String):IModel{}

    data class VehicleInfoListBean(var licensePlateNo:String,var  licensePlateType:String):IModel{}

    data class GoodsInfoListBean(var goodsName:String,var  goodsType:String,
                                 var schemeName:String,var  rate:String
                                 ):IModel{}

    data class InsurantInfoListBean(var personnelType:String,var  name:String,
                                    var certificateType:String,var  certificateNo:String,
                                    var mobile:String
    ):IModel{}

    data class ApplicantInfoBean(var personnelType:String,var  name:String,
                                 var certificateType:String,var  certificateNo:String,
                                 var mobile:String
    ):IModel{}

    data class CoverInfoBean(var coverType:String):IModel{}


}
